Homebrew 安装指定版本 Node

Linux Node Brew
前端 4个月前 217 0

前言

npm 环境被我玩坏了,随后重新安装整个 node 环境,结果发现 brew 默认是最新版本,但是我的当前环境不适合最新版本(前端从入门到放弃系列)

安装

首先看 node 包有几个版本

brew search node

如图所示,图中我已经安装好指定版本了
列表

清理老版本没安装过可忽略

brew uninstall --ignore-dependencies node

安装指定版本

brew install [email protected]

然后 brew link [email protected], 这一步可能会报错, 按照提示执行命令就 ok 了, 比如我最后执行的是 brew link --overwrite --force [email protected]

查看版本

node -v 输出版本号就安装成功了!

原文: http://yiqiao.me/articles/9/homebrew-installs-the-specified-version-of-node

版权声明: 自由转载-非商用-非衍生-保持署名 (创意共享3.0许可证)

同类文章